<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

$si_global_total=0;
$no_global_total=0;

$fecha=date('Y-m-d');
$hora=date('H:i:s');
$empresa_des=$_POST['empresa_des'];

$suc=mysqli_query($con,"SELECT * FROM sucursal where empresa='$empresa_des' limit 1 ") or die(mysqli_error($con)); 
$suc=mysqli_fetch_array($suc);
$suc_idd=$suc['suc_id'];

$bod=mysqli_query($con,"SELECT * FROM bodegas where empresa='$empresa_des' limit 1 ") or die(mysqli_error($con)); 
$bod=mysqli_fetch_array($bod);
$bod_idd=$bod['bod_id'];

$can1=mysqli_query($con,"SELECT MAX(tra_id)as tra_id FROM trasladoe ") or die(mysqli_error($con)); 
$dato1=mysqli_fetch_array($can1);
$tra_id=$dato1['tra_id']+1;

$can2=mysqli_query($con,"SELECT MAX(tra_n_traslado)as tra_n_traslado FROM trasladoe where empresa='$empresa'") or die(mysqli_error($con)); 
$dato2=mysqli_fetch_array($can2); 
$tra_n_traslado=$dato2['tra_n_traslado']+1;

$sqltras = mysqli_query($con, "SELECT * FROM trasladoe_detalle_temp WHERE empresa='$empresa' AND usuario='$usu_id'");

if (mysqli_num_rows($sqltras) == 0) {
    echo '  <div class="alert alert-warning alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>La lista de Articulos esta vacia!</strong>
            </div>';   
    exit;
}
while ($row=mysqli_fetch_array($sqltras))
{
    $id=$row["trat_id"];
    $trat_id=$row["trat_id"];
    $trat_referencia=$row['trat_referencia'];
    $trat_nombre=$row['trat_nombre'];
    $trat_cantidad=$row['trat_cantidad'];
    $trat_precio=$row['trat_precio'];
    $trat_art_id=$row['trat_art_id'];

    $si=0;
    $no=0;

    $sqls1=mysqli_query($con,"SELECT *,count(*) as contandor_seriales from  seriales_articulos where articulos_art_id='$trat_art_id ' AND estado='sin vender'");
    $rows1=mysqli_fetch_array($sqls1);
   
    $contador=$rows1['contandor_seriales'];
    if ($contador>0) 
    {
        $sqls2=mysqli_query($con,"SELECT *,count(*) as contandor_seriales_tem from  serial_trasladoe_temp where trasladoe_detalle_temp_trat_id  ='$trat_id '");
        $rows2=mysqli_fetch_array($sqls2);
        $contador_tem=$rows2['contandor_seriales_tem'];

        if ($contador_tem==$trat_cantidad) 
        {
            $sqls3=mysqli_query($con,"SELECT * from serial_trasladoe_temp where trasladoe_detalle_temp_trat_id  ='$trat_id '");
            while( $rows3=mysqli_fetch_array($sqls3))
            {
                $ser_codigo=$rows3['sert_codigo'];
                $sqls4=mysqli_query($con,"SELECT * from seriales_articulos where se_codigo='$ser_codigo' and articulos_art_id='$trat_art_id'");
                $rows4=mysqli_fetch_array($sqls4);
                if ($rows4>0)
                {
                    $si+=1;
                }
                else
                {
                     $no+=1;
                }
            }
        }
        else
        {
            $no+=1;
        }
    }
    else
    {
        $si+=1;
    }

    $si_global_total+=$si;
        $no_global_total+=$no;
}

$si_global_total;
$no_global_total;

if ($no_global_total>0 && $restrincion_seriales=='si')
{ 
?>

    <script type="text/javascript">
      alert("Debe verificar seriales");
    </script>

    <?php }
else
{
    $can3=mysqli_query($con,"SELECT * FROM trasladoe_detalle_temp where empresa='$empresa'") or die(mysqli_error($con)); 
    $result = mysqli_num_rows($can3);
    if($result == 0)
    {
      echo '<div class="alert alert-danger alert-dismissable">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
              <strong>La lista de Articulos esta vacia </strong> 
            </div>';
    }       
    else
    {
        $registros=mysqli_query($con,"INSERT into trasladoe (tra_id,tra_n_traslado,tra_fecha, tra_hora,tra_sucursal_o,tra_bodega_o,tra_sucursal_d,tra_bodega_d,tra_usuario,tra_estado,empresa,tra_empresa_o,tra_empresa_d)
        VALUES  ('$tra_id','$tra_n_traslado','$fecha','$hora','$sucursal','$bod_id','$suc_idd','$bod_idd','$usu_id','Pendiente','$empresa','$empresa','$empresa_des')") or die(mysqli_error($con));

        $can4=mysqli_query($con,"SELECT * FROM trasladoe_detalle_temp where empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
        while($dato4=mysqli_fetch_array($can4))
        { 
            $trat_id=$dato4['trat_id'];
            $trat_art_id=$dato4['trat_art_id'];
            $trat_referencia=$dato4['trat_referencia']; 
            $trat_nombre=$dato4['trat_nombre'];
            $trat_cantidad=$dato4['trat_cantidad'];            
            $trat_precio=$dato4['trat_precio'];

            $can5=mysqli_query($con,"SELECT MAX(trad_id)as trad_id FROM trasladoe_detalle ") or die(mysqli_error($con)); 
            $dato5=mysqli_fetch_array($can5);
            $trad_id=$dato5['trad_id']+1;

            $can6=mysqli_query($con,"INSERT INTO trasladoe_detalle (trad_id,trad_art_id,trad_referencia,trad_nombre, trad_cantidad,trad_precio,empresa,trasladoe_tra_id) 
            VALUES ('$trad_id','$trat_art_id','$trat_referencia','$trat_nombre','$trat_cantidad','$trat_precio','$empresa','$tra_id')") or die(mysqli_error($con));               

            /*$can7=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE articulos_art_id='$trat_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));  
            $dato7=mysqli_fetch_array($can7);
            $articulos_art_id=$dato7['articulos_art_id'];            
            $art_cantidad=$dato7['art_cantidad'];
            $resta=$art_cantidad-$trat_cantidad;

            $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$resta' Where articulos_art_id='$trat_art_id' and bodegas='$bod_id' and  empresa='$empresa'") or die(mysqli_error($con));                                

            $can8=mysqli_query($con,"SELECT * FROM articulos WHERE art_referencia='$trat_referencia' and empresa='$empresa_des'") or die(mysqli_error($con));  
            $dat8=mysqli_fetch_array($can8);
            $result8 = mysqli_num_rows($can8);
            $art_idd=$dat8['art_id'];

            $can9=mysqli_query($con,"SELECT MAX(art_id)as art_id FROM articulos") or die(mysqli_error($con)); 
            $dato9=mysqli_fetch_array($can9); 
            $art_iddd=$dato9['art_id']+1;

            $cang=mysqli_query($con,"SELECT* FROM tarifas where empresa='$empresa' and tar_nombre='GENERAL'") or die(mysqli_error($con)); 
            $datog=mysqli_fetch_array($cang); 
            $tar_idg=$datog['tar_id'];

            $cand=mysqli_query($con,"SELECT* FROM tarifas where empresa='$empresa' and tar_nombre='ASESOR'") or die(mysqli_error($con)); 
            $datod=mysqli_fetch_array($cand); 
            $tar_idd=$datod['tar_id'];

            $canm=mysqli_query($con,"SELECT* FROM tarifas where empresa='$empresa' and tar_nombre='MINIMO'") or die(mysqli_error($con)); 
            $datom=mysqli_fetch_array($canm); 
            $tar_idm=$datom['tar_id'];

            $cangd=mysqli_query($con,"SELECT* FROM tarifas where empresa='$empresa_des' and tar_nombre='GENERAL'") or die(mysqli_error($con)); 
            $datogd=mysqli_fetch_array($cangd); 
            $tar_idgd=$datogd['tar_id'];

            $candd=mysqli_query($con,"SELECT* FROM tarifas where empresa='$empresa_des' and tar_nombre='ASESOR'") or die(mysqli_error($con)); 
            $datodd=mysqli_fetch_array($candd); 
            $tar_iddd=$datodd['tar_id'];

            $canmd=mysqli_query($con,"SELECT* FROM tarifas where empresa='$empresa_des' and tar_nombre='MINIMO'") or die(mysqli_error($con)); 
            $datomd=mysqli_fetch_array($canmd); 
            $tar_idmd=$datomd['tar_id'];


            $can10=mysqli_query($con,"SELECT * FROM articulos WHERE art_id='$trat_art_id' and  empresa='$empresa'") or die(mysqli_error($con));  
            $dat10=mysqli_fetch_array($can10);
            $art_id=$dat10['art_id'];
            $art_referencia=$dat10['art_referencia'];
            $art_barras=$dat10['art_barras'];
            $art_nombre=$dat10['art_nombre'];
            $art_precio_costo=$dat10['art_precio_costo'];
            $art_pvp=$dat10['art_pvp'];
            $art_utilidad=$dat10['art_utilidad'];
            $art_iva=$dat10['art_iva'];
            $familias_fam_id=$dat10['familias_fam_id'];
            $proveedor_pro_id=$dat10['proveedor_pro_id'];

            $cang=mysqli_query($con,"SELECT* FROM precio where tarifas_tar_id='$tar_idg' and articulos_art_id='$art_id'") or die(mysqli_error($con)); 
            $datog=mysqli_fetch_array($cang); 
            $pre_preciog=$datog['pre_precio'];

            $cand=mysqli_query($con,"SELECT* FROM precio where tarifas_tar_id='$tar_idd' and articulos_art_id='$art_id'") or die(mysqli_error($con)); 
            $datod=mysqli_fetch_array($cand); 
            $pre_preciod=$datod['pre_precio'];

            $canm=mysqli_query($con,"SELECT* FROM precio where tarifas_tar_id='$tar_idm' and articulos_art_id='$art_id'") or die(mysqli_error($con)); 
            $datom=mysqli_fetch_array($canm); 
            $pre_preciom=$datom['pre_precio'];

            //familia
            $canz=mysqli_query($con,"SELECT * FROM familias where  fam_id='$familias_fam_id' and empresa='$empresa'") or die(mysqli_error($con)); 
            if($datz=mysqli_fetch_array($canz)) 
            {
                $fam_nombre=$datz['fam_nombre'];
            }

            $canz=mysqli_query($con,"SELECT * FROM familias where fam_nombre='$fam_nombre' and empresa='$empresa_des'") or die(mysqli_error($con)); 
            if($datz=mysqli_fetch_array($canz)) 
            {
                $fam_idd=$datz['fam_id'];
            }
            else
            {
                $canaa=mysqli_query($con,"SELECT MAX(fam_id)as fam_id FROM familias") or die(mysqli_error($con)); 
                $datoaa=mysqli_fetch_array($canaa); 
                $fam_idd=$datoaa['fam_id']+1;

                $sqlf="INSERT into familias (fam_id,fam_nombre,empresa) VALUES ('$fam_idd','$fam_nombre','$empresa_des')";mysqli_query($con, $sqlf);
            }

            //proveedor  
            $canz=mysqli_query($con,"SELECT * FROM proveedor where  pro_id='$proveedor_pro_id' and empresa='$empresa'") or die(mysqli_error($con)); 
            if($datz=mysqli_fetch_array($canz)) 
            {
                $pro_nit=$datz['pro_nit'];
                $pro_nombre=$datz['pro_nombre'];
            }

            $canz=mysqli_query($con,"SELECT * FROM proveedor where pro_nit='$pro_nit' and empresa='$empresa_des'") or die(mysqli_error($con)); 
            if($datz=mysqli_fetch_array($canz)) 
            {
                $pro_idd=$datz['pro_id'];
            }
            else
            {
                $canaa=mysqli_query($con,"SELECT MAX(pro_id)as pro_id FROM proveedor") or die(mysqli_error($con)); 
                $datoaa=mysqli_fetch_array($canaa); 
                $pro_idd=$datoaa['pro_id']+1;

                $sqlf="INSERT into proveedor (pro_id,pro_nit,pro_nombre,empresa) 
                VALUES ('$pro_idd','$pro_nit','$pro_nombre','$empresa_des')";mysqli_query($con, $sqlf);
            }

                          articulo
                    if($result8==0)
                      {  
                       
                        $cand=mysqli_query($con,"SELECT MAX(art_id)as art_idb FROM articulos_has_bodegas") or die(mysqli_error($con)); 
                        if($datod=mysqli_fetch_array($cand)) 
                        {
                          $art_idb=$datod['art_idb']+1;
                        }

                        $sql10 = "INSERT INTO articulos  (art_id,art_referencia,art_barras,art_nombre,art_precio_costo,art_pvp,art_utilidad,art_estado,art_tipo,familias_fam_id,proveedor_pro_id,marca_mar_id,ubicacion_ubi_id,art_vencimiento,art_numero,empresa) 
                        VALUES ('$art_iddd','$art_referencia','$art_barras','$art_nombre','$art_precio_costo','$art_pvp','$art_utilidad','Activo','articulo','$fam_idd','$pro_idd','2','2','','0','$empresa_des') ";mysqli_query($con, $sql10);

                        $sql11 = "INSERT INTO articulos_has_bodegas (art_id,articulos_art_id,art_cantidad,bodegas,sucursal,empresa)  
                                      VALUES ('$art_idb','$art_iddd','$trat_cantidad','$bod_idd','$suc_idd','$empresa_des') ";mysqli_query($con, $sql11);  

                        $sql12 = "INSERT INTO precio (pre_precio,tarifas_tar_id,articulos_art_id,empresa) VALUES('$pre_preciog','$tar_idgd','$art_iddd','$empresa_des') ";mysqli_query($con, $sql12);        
                        $sql13 = "INSERT INTO precio (pre_precio,tarifas_tar_id,articulos_art_id,empresa) VALUES('$pre_preciod','$tar_iddd','$art_iddd','$empresa_des') ";mysqli_query($con, $sql13);        
                        $sql14 = "INSERT INTO precio (pre_precio,tarifas_tar_id,articulos_art_id,empresa) VALUES('$pre_preciom','$tar_idmd','$art_iddd','$empresa_des') ";mysqli_query($con, $sql14);       
                        

                        $can11=mysqli_query($con,"SELECT * FROM serial_trasladoe_temp where trasladoe_detalle_temp_trat_id='$trat_id'") or die(mysqli_error($con));  
                        while($ser=mysqli_fetch_array($can11))
                        {
                          $sert_codigo=$ser['sert_codigo'];
                          $can2=mysqli_query($con,"INSERT INTO serial_trasladoe (sert_codigo,trasladoe_detalle_trad_id) 
                                     VALUES ('$sert_codigo','$trad_id')") or die(mysqli_error($con));  

                          $can13=mysqli_query($con,"INSERT INTO seriales_articulos (se_codigo,estado,articulos_art_id) 
                                     VALUES ('$sert_codigo','sin vender','$art_iddd')") or die(mysqli_error($con));  


                          $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='traslado' Where articulos_art_id='$trat_art_id' and se_codigo='$sert_codigo'") or die(mysqli_error($con));
                        } 

                    /*  }
                    else
                      {


                        $can14=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE articulos_art_id='$art_idd'  and bodegas='$bod_idd' and  empresa='$empresa_des'") or die(mysqli_error($con));  
                        $dat14=mysqli_fetch_array($can14);
                        $articulos_art_id=$dat14['articulos_art_id'];            
                        $art_cantidad=$dat14['art_cantidad'];
                        $suma=$art_cantidad+$trat_cantidad;

                         $registros=mysqli_query($con,"UPDATE articulos Set 
                                                      art_nombre='$art_nombre',
                                                      art_precio_costo='$art_precio_costo',
                                                      art_pvp='$art_pvp',
                                                      art_utilidad='$art_utilidad',
                                                    
                                                      familias_fam_id='$fam_idd',
                                                      proveedor_pro_id='$pro_idd'
                                                      Where art_id='$art_idd' and empresa='$empresa_des' ") or die(mysqli_error($con));
                               
                        $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' 
                                    Where articulos_art_id='$art_idd' and bodegas='$bod_idd'  and empresa='$empresa_des'") or die(mysqli_error($con));

                        $pre1=mysqli_query($con,"UPDATE precio Set 
                                                      pre_precio='$pre_preciog'
                                                      Where articulos_art_id='$art_idd' and empresa='$empresa_des' and tarifas_tar_id='$tar_idgd'") or die(mysqli_error($con));
                        $pre2=mysqli_query($con,"UPDATE precio Set 
                                                      pre_precio='$pre_preciod'
                                                      Where articulos_art_id='$art_idd' and empresa='$empresa_des' and tarifas_tar_id='$tar_iddd'") or die(mysqli_error($con));
                        $pre3=mysqli_query($con,"UPDATE precio Set 
                                                      pre_precio='$pre_preciom'
                                                      Where articulos_art_id='$art_idd' and empresa='$empresa_des' and tarifas_tar_id='$tar_idmd'") or die(mysqli_error($con));*/


                    $can15=mysqli_query($con,"SELECT * FROM serial_trasladoe_temp where trasladoe_detalle_temp_trat_id='$trat_id'") or die(mysqli_error($con));  
                    while($ser=mysqli_fetch_array($can15))
                    {
                        $sert_codigo=$ser['sert_codigo'];
                        $can16=mysqli_query($con,"INSERT INTO serial_trasladoe (sert_codigo,trasladoe_detalle_trad_id) 
                                 VALUES ('$sert_codigo','$trad_id')") or die(mysqli_error($con));  

                        /* $can17=mysqli_query($con,"INSERT INTO seriales_articulos (se_codigo,estado,articulos_art_id) 
                                 VALUES ('$sert_codigo','sin vender','$art_idd')") or die(mysqli_error($con));  

                        $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='traslado' Where articulos_art_id='$trat_art_id' and se_codigo='$sert_codigo'") or die(mysqli_error($con));*/
                    
                    }  
        }

             /* }*/
            $borrar=mysqli_query($con,"DELETE FROM serial_trasladoe_temp where usuario='$usu_id' ") or  die(mysqli_error($con));
             $borrar=mysqli_query($con,"DELETE FROM trasladoe_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or  die(mysqli_error($con));

            echo '<div class="alert alert-success alert-dismissable">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <strong>Traslado!</strong> Guardado correctamente.
                    </div>';  

             echo '<meta http-equiv="refresh" content="1;url=I_traslado_registrar_emp.php">';                  
    } 
}
?>